Bug 115539 - useradd cannot create userids with punctuation
Summary: useradd cannot create userids with punctuation
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: shadow-utils   
(Show other bugs)
Version: 1
Hardware: i586
OS: Linux
high
high
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-13 12:39 UTC by Sebastian Stelmasik
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 2:4.0.3-32
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-13 14:54:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add username with dot support to shadow-utils (633 bytes, patch)
2004-04-23 14:59 UTC, Enrico Ansaloni
no flags Details | Diff

Description Sebastian Stelmasik 2004-02-13 12:39:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1) Opera 
7.23  [en]

Description of problem:
useradd can not handle usernames containing punctuation and 
usermanagement crushes if You enter a user manualy into 
passwd/group/shadow with a segmentation fault even if You delete the 
user from this files - so I'll have to reinstall the system...
I can no longer add or delete ANY user
I was migrating users from Redhat 7.3, when this problem occured.
I think it's the same bug as 
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=115383


Version-Release number of selected component (if applicable):
shadow-utils-4.0.3-12

How reproducible:
Always

Steps to Reproduce:
1.useradd "some.user"
2.enter a user manually
3.
    

Actual Results:  1: useradd: invalid username
2: useradd: segmentation fault

Expected Results:  user some.user should have been created

Additional info:

Comment 1 Enrico Ansaloni 2004-04-23 14:59:49 UTC
Created attachment 99651 [details]
Patch to add username with dot support to shadow-utils

Here is a small and simple patch for usernames with dot support in shadow
utils.
I tested it and it seems to work... apply it on shadow-utils source dir with
-p0, file to be patched is libmisc/chkname.c

Comment 2 Eido Inoue 2004-10-13 14:54:24 UTC
we now allow dots (and mixed case), but not other puctuation.


Note You need to log in before you can comment on or make changes to this bug.